Get My Api Collection Endpoints By Id
GET /obp/v7.0.0/my/api-collection-ids/API_COLLECTION_ID/api-collection-endpoints
OBPv4.0.0-getMyApiCollectionEndpointsById No role required Api-Collection
Get Api Collection Endpoints By API_COLLECTION_ID.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
API_COLLECTION_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (4)
- api_collection_endpoint_id
- 8uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- api_collection_endpoints
- api_collection_endpoints
- api_collection_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- operation_id
- OBPv6.0.0-getBanks
Example success response
{
"api_collection_endpoints": [
{
"api_collection_endpoint_id": "8uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"operation_id": "OBPv6.0.0-getBanks"
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20057: User not found by userId.
- OBP-50000: Unknown Error.